{% extends "layout.html" %} {% block content %}
<h1>Edit Post</h1>
<div class="container">
  {% if form.errors %}
  <div class="alert alert-danger">
    {% for field in form %} {% for error in field.errors %}
    <li><strong> {{ error|escape }} </strong></li>
    {% endfor %} {% endfor %}
  </div>
  {% for error in form.non_field_errors %}
  <div class="alert alert-danger">
    <strong> {{ error|escape }} </strong>
  </div>
  {% endfor %} {% endif %}
</div>

<p></p>
<form method="post">
  {% csrf_token %}
  <div class="mb-3">
    <label class="form-label">Title</label>
    <input
      type="text"
      class="form-control"
      name="title"
      placeholder="Input title"
      value="{{post.title}}"
    />
  </div>
  <div class="mb-3">
    <label class="form-label">Content</label>
    <textarea class="form-control" name="content" rows="3">
{{post.content}}</textarea
    >
  </div>
  <div class="mb-3">
    <label class="form-label">Author</label>
    <input
      type="text"
      class="form-control"
      name="author"
      placeholder="Input author"
      value="{{post.author}}"
    />
  </div>
  <input
    type="button"
    onclick="window.history.back()"
    class="btn btn-primary"
    value="Cancel"
  />
  <input type="submit" class="btn btn-success" value="Update" />
</form>

{% endblock %}
